Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class BiopolimerDiagramFilter

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableFilter
                  |
                  +--biouml.standard.filter.BiopolimerDiagramFilter

public class BiopolimerDiagramFilter
extends MutableFilter
implements DiagramFilter

Common purpose diagram filter allowing to filter Biopolimers by species, cell types and inducers.

Inner Class Summary
`public static class` | BiopolimerDiagramFilter.CellTypeFilter
`public static class` | BiopolimerDiagramFilter.CellTypeFilterBeanInfo
`public static class` | BiopolimerDiagramFilter.InducerFilter
`public static class` | BiopolimerDiagramFilter.InducerFilterBeanInfo
`public static class` | BiopolimerDiagramFilter.SpeciesFilter
`public static class` | BiopolimerDiagramFilter.SpeciesFilterBeanInfo

Constructor Summary
`BiopolimerDiagramFilter(Diagram diagram)`

Method Summary
`CellTypeFilter` | `getCellTypeFilter()`
`String[]` | `getDiagramCellTypesList()`
`String[]` | `getDiagramInducersList()`
`String[]` | `getDiagramSpeciesList()`
`InducerFilter` | `getInducerFilter()`
`SpeciesFilter` | `getSpeciesFilter()`
`boolean` | `isAcceptable(DataElement de)`
`boolean` | `isHidingMode()`
`void` | `setCellTypeFilter(CellTypeFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setHidingMode(boolean hidingMode)`
`void` | `setInducerFilter(InducerFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setSpeciesFilter(SpeciesFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BiopolimerDiagramFilter

    public BiopolimerDiagramFilter(Diagram diagram)

Method Detail

### getCellTypeFilter

    public CellTypeFilter getCellTypeFilter()

### getDiagramCellTypesList

    public String[] getDiagramCellTypesList()

### getDiagramInducersList

    public String[] getDiagramInducersList()

### getDiagramSpeciesList

    public String[] getDiagramSpeciesList()

### getInducerFilter

    public InducerFilter getInducerFilter()

### getSpeciesFilter

    public SpeciesFilter getSpeciesFilter()

### isAcceptable

    public boolean isAcceptable(DataElement de)

### isHidingMode

    public boolean isHidingMode()

### setCellTypeFilter

    public void setCellTypeFilter(CellTypeFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### setHidingMode

    public void setHidingMode(boolean hidingMode)

### setInducerFilter

    public void setInducerFilter(InducerFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### setSpeciesFilter

    public void setSpeciesFilter(SpeciesFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

Association Links

to Class biouml.model.Diagram

  The {@link Diagram} to which the filter can be applied.

to Class java.util.Vector

to Class java.util.Vector

to Class java.util.Vector

to Class biouml.standard.filter.BiopolimerDiagramFilter.SpeciesFilter

to Class biouml.standard.filter.BiopolimerDiagramFilter.CellTypeFilter

to Class biouml.standard.filter.BiopolimerDiagramFilter.InducerFilter

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM